import request from '@/utils/request'

// 查询标签列表
export function listDept(query) {
  return request({
    url: '/system/tagInfo/list',
    method: 'get',
    params: query
  })
}

// 查询标签列表（排除节点）
export function listDeptExcludeChild(deptId) {
  return request({
    url: '/system/tagInfo/list/exclude/' + deptId,
    method: 'get'
  })
}

// 查询标签详细
export function getDept(deptId) {
  return request({
    url: '/system/tagInfo/' + deptId,
    method: 'get'
  })
}

// 新增标签
export function addDept(data) {
  return request({
    url: '/system/tagInfo',
    method: 'post',
    data: data
  })
}

// 修改标签
export function updateDept(data) {
  return request({
    url: '/system/tagInfo',
    method: 'put',
    data: data
  })
}

// 删除标签
export function delDept(deptId) {
  return request({
    url: '/system/tagInfo/' + deptId,
    method: 'delete'
  })
}

// 查询标签下拉树结构
export function tagTreeSelect(query) {
  return request({
    url: '/system/tagInfo/tagTree',
    method: 'get',
    params: query
  })
}
